Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.process
Class AbstractPMM

    java.lang.Object
      ix.icore.AbstractAnnotatedObject
          ix.util.context.ContextAnnotatedObject
              ix.icore.process.AbstractPMM

All Implemented Interfaces:
  Annotated, ProcessModelManager, java.io.Serializable

Direct Known Subclasses:
  Ip2ModelManager

    public abstract class AbstractPMM

extends ContextAnnotatedObject
implements ProcessModelManager

See Also:
  Serialized Form

Nested Class Summary
`protected static interface` | `AbstractPMM.Sentinel`

Field Summary

Fields inherited from class ix.icore.AbstractAnnotatedObject
`annotationListeners, annotations`

Constructor Summary
`AbstractPMM()`

Method Summary
`void` | `addConstraints(java.util.List constraints)`
`void` | `addConstraints(PNode node, java.util.List constraints)`
`void` | `addProcessStatusListener(ProcessStatusListener listener)`
`protected abstract void` | `addSentinel(AbstractPMM.Sentinel r)`
`void` | `fireNewBindings(java.util.Map bindings)`
`void` | `fireStateChange(java.util.Map delta)`
`void` | `fireStateDeletion(java.util.Map delta)`
`void` | `fireStatusUpdate()`
`ConstraintManager` | `getConstraintManager(Constraint c)`
`ConstraintManager` | `getConstraintManager(Symbol type, Symbol rel)`
`protected abstract java.util.List` | `getSentinels()`
`LList` | `putVariablesInPattern(LList pattern)` Returns a copy of the pattern in which `ItemVar`s have been replaced by `Variable`s.
`void` | `registerConstraintManager(Symbol type, Symbol relation, ConstraintManager cm)`
`protected abstract void` | `removeSentinel(AbstractPMM.Sentinel r)`
`protected void` | `runSentinels()`

Methods inherited from class ix.util.context.ContextAnnotatedObject
`annMap, clearAnnotationsCompletely, makeAnnMap`

Methods inherited from class ix.icore.AbstractAnnotatedObject
`addAnnotationListener, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, getComments, removeAnnotation, setAnnotation, setAnnotations, setComments, takeAnnotations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface ix.icore.process.ProcessModelManager
`addConstraint, addConstraint, addNode, addVariable, bindVariables, clear, deleteConstraint, evalFilters, getNodeConditions, getNodes, getPlan, getVarEnv, getVariable, reset, setPlan, statusChanged, testFilters`

Methods inherited from interface ix.icore.Annotated
`addAnnotationListener, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, removeAnnotation, setAnnotation, setAnnotations, takeAnnotations`

Constructor Detail

### AbstractPMM

    public AbstractPMM()

Method Detail

### addConstraints

    public void addConstraints(PNode node,
                               java.util.List constraints)

  Specified by:
    `addConstraints` in interface `ProcessModelManager`

### addConstraints

    public void addConstraints(java.util.List constraints)

  Specified by:
    `addConstraints` in interface `ProcessModelManager`

### registerConstraintManager

    public void registerConstraintManager(Symbol type,
                                          Symbol relation,
                                          ConstraintManager cm)

  Specified by:
    `registerConstraintManager` in interface `ProcessModelManager`

### getConstraintManager

    public ConstraintManager getConstraintManager(Symbol type,
                                                  Symbol rel)

  Specified by:
    `getConstraintManager` in interface `ProcessModelManager`

### getConstraintManager

    public ConstraintManager getConstraintManager(Constraint c)

  Specified by:
    `getConstraintManager` in interface `ProcessModelManager`

### putVariablesInPattern

    public LList putVariablesInPattern(LList pattern)

  Returns a copy of the pattern in which `ItemVar`s have been replaced by `Variable`s.

  Specified by:
    `putVariablesInPattern` in interface `ProcessModelManager`

### addSentinel

    protected abstract void addSentinel(AbstractPMM.Sentinel r)

### removeSentinel

    protected abstract void removeSentinel(AbstractPMM.Sentinel r)

### getSentinels

    protected abstract java.util.List getSentinels()

### runSentinels

    protected void runSentinels()

### addProcessStatusListener

    public void addProcessStatusListener(ProcessStatusListener listener)

  Specified by:
    `addProcessStatusListener` in interface `ProcessModelManager`

### fireStatusUpdate

    public void fireStatusUpdate()

  Specified by:
    `fireStatusUpdate` in interface `ProcessModelManager`

### fireNewBindings

    public void fireNewBindings(java.util.Map bindings)

  Specified by:
    `fireNewBindings` in interface `ProcessModelManager`

### fireStateChange

    public void fireStateChange(java.util.Map delta)

  Specified by:
    `fireStateChange` in interface `ProcessModelManager`

### fireStateDeletion

    public void fireStateDeletion(java.util.Map delta)

  Specified by:
    `fireStateDeletion` in interface `ProcessModelManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD